import React, { useState } from 'react';
import type { Meta, StoryObj } from '@storybook/react';
import SemSubsConfigPanel, { SemSubsConfigPanelProps } from '.';

const metaPillDropdown: Meta<typeof SemSubsConfigPanel> = {
  component: SemSubsConfigPanel,
  title: 'Visualizations/SemanticSubstrates/configpanel',
  decorators: [(story) => <div className="flex items-center justify-center w-20 m-11">{story()}</div>],
};

export default metaPillDropdown;

type Story = StoryObj<typeof SemSubsConfigPanel>;

export const userAddsData: Story = {
  args: {
    entitySelectedOptions: ['kamerleden', 'commissies'],
    attributeSelectedOptions: ['Partij', 'Leeftijd', 'Woonplaats'],
    valueAttributeSelectedOptions: ['D66', 'VVD', 'PVV', 'DierenPartij'],
    xAxisSelectedOptions: ['Partij', 'Leeftijd', 'Woonplaats'],
    yAxisSelectedOptions: ['Partij', 'Leeftijd', 'Woonplaats'],
    colorNode: '#FFA500',
  },
};
